package com.palacesun.masking.log.vo;

import java.util.Set;

public class EncryLogVO {
   private String logType;
   private String accessDate;
   private String accessSqlType;
   private String accessClient;
   private String accessIp;
   private String accessMac;
   private String accessOsUser;
   private String impactAction;
   private String status;
   private String dataSystemId;
   private String dataSystemName;
   private String connschema;
   private String proxyId;
   private String proxyName;
   private String ralsql;
   private String exeSql;
   private String proxyIp;
   private String proxyPort;
   private String dbIp;
   private String dbPort;
   private String dbType;
   private String accessSqlNum;
   private String systemSqlNum;
   private String accessSqlByteNum;
   private String accessSysSqlByteNum;
   private String auditType;
   private String noticetype;
   private String noticeid;
   private String strategyId;
   private String strategyName;
   private String dbUser;
   private String appUser;
   private Set encryFieldSet;
   private String decrypt;

   public String getLogType() {
      return this.logType;
   }

   public void setLogType(String logType) {
      this.logType = logType;
   }

   public String getAccessDate() {
      return this.accessDate;
   }

   public void setAccessDate(String accessDate) {
      this.accessDate = accessDate;
   }

   public String getAccessSqlType() {
      return this.accessSqlType;
   }

   public void setAccessSqlType(String accessSqlType) {
      this.accessSqlType = accessSqlType;
   }

   public String getAccessClient() {
      return this.accessClient;
   }

   public void setAccessClient(String accessClient) {
      this.accessClient = accessClient;
   }

   public String getAccessIp() {
      return this.accessIp;
   }

   public void setAccessIp(String accessIp) {
      this.accessIp = accessIp;
   }

   public String getAccessMac() {
      return this.accessMac;
   }

   public void setAccessMac(String accessMac) {
      this.accessMac = accessMac;
   }

   public String getAccessOsUser() {
      return this.accessOsUser;
   }

   public void setAccessOsUser(String accessOsUser) {
      this.accessOsUser = accessOsUser;
   }

   public String getImpactAction() {
      return this.impactAction;
   }

   public void setImpactAction(String impactAction) {
      this.impactAction = impactAction;
   }

   public String getStatus() {
      return this.status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getDataSystemId() {
      return this.dataSystemId;
   }

   public void setDataSystemId(String dataSystemId) {
      this.dataSystemId = dataSystemId;
   }

   public String getDataSystemName() {
      return this.dataSystemName;
   }

   public void setDataSystemName(String dataSystemName) {
      this.dataSystemName = dataSystemName;
   }

   public String getConnschema() {
      return this.connschema;
   }

   public void setConnschema(String connschema) {
      this.connschema = connschema;
   }

   public String getProxyId() {
      return this.proxyId;
   }

   public void setProxyId(String proxyId) {
      this.proxyId = proxyId;
   }

   public String getProxyName() {
      return this.proxyName;
   }

   public void setProxyName(String proxyName) {
      this.proxyName = proxyName;
   }

   public String getRalsql() {
      return this.ralsql;
   }

   public void setRalsql(String ralsql) {
      this.ralsql = ralsql;
   }

   public String getExeSql() {
      return this.exeSql;
   }

   public void setExeSql(String exeSql) {
      this.exeSql = exeSql;
   }

   public String getProxyIp() {
      return this.proxyIp;
   }

   public void setProxyIp(String proxyIp) {
      this.proxyIp = proxyIp;
   }

   public String getProxyPort() {
      return this.proxyPort;
   }

   public void setProxyPort(String proxyPort) {
      this.proxyPort = proxyPort;
   }

   public String getDbIp() {
      return this.dbIp;
   }

   public void setDbIp(String dbIp) {
      this.dbIp = dbIp;
   }

   public String getDbPort() {
      return this.dbPort;
   }

   public void setDbPort(String dbPort) {
      this.dbPort = dbPort;
   }

   public String getDbType() {
      return this.dbType;
   }

   public void setDbType(String dbType) {
      this.dbType = dbType;
   }

   public String getAccessSqlNum() {
      return this.accessSqlNum;
   }

   public void setAccessSqlNum(String accessSqlNum) {
      this.accessSqlNum = accessSqlNum;
   }

   public String getSystemSqlNum() {
      return this.systemSqlNum;
   }

   public void setSystemSqlNum(String systemSqlNum) {
      this.systemSqlNum = systemSqlNum;
   }

   public String getAccessSqlByteNum() {
      return this.accessSqlByteNum;
   }

   public void setAccessSqlByteNum(String accessSqlByteNum) {
      this.accessSqlByteNum = accessSqlByteNum;
   }

   public String getAccessSysSqlByteNum() {
      return this.accessSysSqlByteNum;
   }

   public void setAccessSysSqlByteNum(String accessSysSqlByteNum) {
      this.accessSysSqlByteNum = accessSysSqlByteNum;
   }

   public String getAuditType() {
      return this.auditType;
   }

   public void setAuditType(String auditType) {
      this.auditType = auditType;
   }

   public String getNoticetype() {
      return this.noticetype;
   }

   public void setNoticetype(String noticetype) {
      this.noticetype = noticetype;
   }

   public String getNoticeid() {
      return this.noticeid;
   }

   public void setNoticeid(String noticeid) {
      this.noticeid = noticeid;
   }

   public String getStrategyId() {
      return this.strategyId;
   }

   public void setStrategyId(String strategyId) {
      this.strategyId = strategyId;
   }

   public String getStrategyName() {
      return this.strategyName;
   }

   public void setStrategyName(String strategyName) {
      this.strategyName = strategyName;
   }

   public String getDbUser() {
      return this.dbUser;
   }

   public void setDbUser(String dbUser) {
      this.dbUser = dbUser;
   }

   public String getAppUser() {
      return this.appUser;
   }

   public void setAppUser(String appUser) {
      this.appUser = appUser;
   }

   public Set getEncryFieldSet() {
      return this.encryFieldSet;
   }

   public void setEncryFieldSet(Set encryFieldSet) {
      this.encryFieldSet = encryFieldSet;
   }

   public String getDecrypt() {
      return this.decrypt;
   }

   public void setDecrypt(String decrypt) {
      this.decrypt = decrypt;
   }
}
